grow_hk {memnet} | R Documentation

## Holme and Kim (2002) network growth model

### Description

Grow networks using Holme & Kim's (2002) model, which combines preferential attachment with tunable triad formation flexibly controlling the amount of clustering in the network via `p`.

### Usage

    grow_hk(n = 100L, m = 5L, p = 5)

### Arguments

`n` | Integer. Number of nodes in the network.
`m` | Integer. Number of edges added for each incoming node.
`p` | Numeric. Proability that a triad formation step follows a preferential attachment step.

### Value

n x n adjacency matrix.

### References

Holme, P., & Kim, B. J. (2002). Growing scale-free networks with tunable clustering. Physical review E, 65(2), 026107.

### Examples

    # generate small graph
    grow_hk(n = 6, m = 2, p = .1)

    ## Not run:
    # generate large graph, low clustering
    grow_hk(n = 100, m = 10, p = .1)

    # generate large graph, high clustering
    grow_hk(n = 100, m = 10, p = .9)

    ## End(Not run)

[Package memnet version 0.1.0 Index]